digiKam Developer Documentation: Digikam::ItemAttributesWatch Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::ItemAttributesWatch Class Reference
Inheritance diagram for Digikam::ItemAttributesWatch:

## Signals
void | signalFileMetadataChanged (const QUrl &url)
| Indicates that the metadata if the given file has been changed (a write operation on the file on disk).
void | signalImageCaptionChanged (qlonglong imageId)
void | signalImageDateChanged (qlonglong imageId)
void | signalImageRatingChanged (qlonglong imageId)
| These signals indicated that the rating, data or caption of the image with given imageId was set.
void | signalImagesChanged (int albumId)
| Indicates that images in the given album id may have changed their tags.
void | signalImageTagsChanged (qlonglong imageId)
| Indicates that tags have been assigned or removed for image with given imageId.

## Public Member Functions
void | fileMetadataChanged (const QUrl &url)

## Static Public Member Functions
static void | cleanUp ()
static ItemAttributesWatch * | instance ()
static void | shutDown ()

## Member Function Documentation

## ◆ signalFileMetadataChanged

void Digikam::ItemAttributesWatch::signalFileMetadataChanged | ( | const QUrl & | url | ) |
| signal

Usually, the database is updated accordingly, so then this signal is sent in combination with one or more of the above signals.

## ◆ signalImageRatingChanged

void Digikam::ItemAttributesWatch::signalImageRatingChanged | ( | qlonglong | imageId | ) |
| signal

There is no guarantee that it actually changed.

## ◆ signalImagesChanged

void Digikam::ItemAttributesWatch::signalImagesChanged | ( | int | albumId | ) |
| signal

This signal, the signal above, or both may be sent.

## ◆ signalImageTagsChanged

void Digikam::ItemAttributesWatch::signalImageTagsChanged | ( | qlonglong | imageId | ) |
| signal

There is no guarantee that the tags were actually changed. This signal, the signal below, or both may be sent.